پی سی مرورگر

.ما راز یک مرورگر سریع و ایمن را می‌دانیم

مشکل رفع ناشدنی فایرفاکس در لینوکس

Admin24 اکتبر 2014 آموزش‌های فایرفاکس فایرفاکس

firefox-ubuntu-flash-outdated
خبر بدی که اخیرا اعلام شد این است که شرکت ادوبی قصد دارد به زودی توسعه فلش برای فایرفاکس بر روی سیستم عامل لینوکس را پایان دهد و بنابراین دیگر آپدیتی در کار نخواهد بود، و این در حالی است که شما همچنان ممکن است آپدیت های امنیتی را دریافت کنید اما اگر نگاهی به پلاگین های خود بیندازید می بینید که متعلق به چند نسخه قبل بوده و دیگر بروز نیستند.

البته کاربران لینوکس هنوز هم می توانند با مراجعه به مرورگر گوگل کروم از نسخه های جدید فلش بهره ببرند، که این تنها راه موجود برای بروز ماندن است.

سال ۲۰۱۲ بود که ادوبی اعلام کرد دیگر نمی خواهد پلاگین NPAPI را برای فایرفاکس توسعه دهد. اما هنوز این شرکت تمایل دارد تا نسخه فلش مبتنی بر پپر (Pepper-based Flash plug-in) را در گوگل کروم زنده نگه داشته و به توسعه آن بپردازد.

حال بیایید نگاهی به گذشته بیندازیم و ببینیم ماجرا از چه قرار است. مرورگر های وب از نوع مختلفی از پلاگین ها استفاده می کنند، مثلا اینترنت اکسپلورر در ویندوز از پلاگین ActiveX و دیگر مرورگر ها اعم از فایرفاکس، سافاری و کروم از فریم ورک NPAPI در حالی بهره می برندکه در ابتدا برای نت اسکیپ طراحی و توسعه یافته بود. در واقع NPAPI مخفف پلاگین رابط کاربری برنامه نویسی نت اسکیپ و در واقع معماری استاندارد پلاگین های تمام مرورگر های اینترنتی به جز اینترنت اکسپلورر است.

اما از جایی که دیگر از عمر NPAPI زمان زیادی می گذرد، در سال ۲۰۱۳، گوگل اعلام کرد که قصد دارد تا حمایت خود از NPAPI را برای کروم قطع کند. چرا که این معماری باعث آسیب دیدگی های امینتی می شد. به همین دلیل آنها این نسخه را با پپر، که با نام PPAPI هم شناخته می شود جایگزین کردند. ادوبی هم دست به کار شد و نسخه جدید فلش را با معماری PPAPI برای لینوکس، ویندوز و مک او اس عرضه کرد.

در سیستم عامل ویندوز و مک او اس، ادوبی در حال ادامه دادن توسعه خود از PPAPI بر روی فایرفاکس و دیگر مرورگر ها است. در لینوکس، نسخه PPAPI روی ۱۱.۲ است که در واقع باید همانند نسخه فلش فعلی روی ۱۴ می بود.

your-computer-does-not-have-the-latest-version-of-flash-firefox-on-linux

اما سوالی که هم اکنون مطرح می شود اینجاست که آیا در این صورت فلش برای فایرفاکس ناامن نمی شود؟

ادوبی اشاره می کند که در حال ادامه ی بروزرسانی امنیتی برای فلش ۱۱.۲ در لینوکس می باشد که این فلش در واقع بر اساس معماری پیپر PPAPI است. اما نسخه های قدیمی تر نا امن می باشند.

اگر شما به استفاده از فلش روی فایرفاکس ادامه دهید، دیگر هیچ گونه عملکرد، عمر باتری و زیر ساخت های امنیتی مناسبی نخواهید داشت. در واقع بر خلاف ظاهر آن, پلاگین NPAPI برای لینوکس، یک پلاگین مناسب و سالم نیست.

firefox-plugin-check-flash-linux

چرا فایرفاکس نمی تواند از این پلاگین استفاده کند؟

موزیلا چندان علاقه ای به اجرای پلاگین پپر در فایرفاکس و موتور رِندِرِ گیکو ندارد. صفحه ی موزیلا ویکی در این مورد یک پیامک مختصر و مفید نوشته است : ” موزیلا در حال حاضر علاقه مند به کار روی پیپر نیست”. این موضوع همچنین در موزیلا باگزیلا نیز مورد بحث قرار گرفته است.

Robert O’Callahan معتقد است که حمایت از پپر تنها اتلاف منابع را در پی دارد. موزیلا هم اکنون در حال تلاش است تا HTML5 و تکنولوژی های وب تولید کند. آنها می خواهند توسعه دهندگان وب از دست آورد های موزیلا استفاده کنند نه این پلاگین وسوسه بر انگیز.

بنابراین حالا برای استفاده از جدیدترین نسخه فلش باید از کروم استفاده کنیم؟

به طور رسمی، آخرین نسخه فلش لینوکسی تنها برای کروم در دسترس است. برای دریافت فلش هم لازم نیست کار خاصی را انجام دهید، چرا که این پلاگین همواره به طور خودکار بر روی لینوکس، ویندوز و مک او اس بروزرسانی می شود.

chrome-pepper-flash

نسخه کد باز کرومیوم نیز همچنان از پپر استفاده می کند و بناراین، ادوبی قرار نیست پلاگین پپر را به طور جداگانه منتشر کند. همچنین پکیج نرم افزاری ای وجود دارد که می توانید با آن پپر فلش را روی کروم نصب کنید. به طور مثال برای اوبونتو، می توانید از pepperflashplugin-nonfree استفاده کرده و بعد از نصب، مرورگر را راه اندازی مجدد کنید.

install-pepper-flash-plug-in-for-chromium-on-ubuntu-14

متاسفانه اشکال کار اینجاست که این بسته به طور خودکار آپدیت نمی شود و البته شاید این یک مشکل بزرگ باشد چرا که فلش حفره های امنیتی زیادی دارد. برای بروزرسانی فلش نیاز به اجرای یک فرمان خاص دارید. البته هنگامی هم که نسخه جدید موجود باشد هیچ اعلامی دریافت نخواهید کرد که این به خاطر مشکل امنیتی ابونتو می باشد.

برای چک کردن نسخه جدید فلش پلیر دستور sudo update-pepperflashplugin-nonfree –status را در پنجره ترمینال اجرا کنید. برای نصب نسخه جدید دستور sudo update-pepperflashplugin-nonfree –install. را وارد کنید.

update-pepper-flash-plugin-for-chromium-on-ubuntu

نسخه جدید اپرا نیز در حال حاضر تنها برای توسعه دهندگان لینوکس موجود می باشد که مبتنی بر کرومیوم است و این مرورگر نیز پلاگین پپر را پشتیبانی می کند.
اپرا اعلام کرده که در آینده ای نزدیک نسخه مخصوص پلاگین پپر را عرضه خواهد کرد و بدین خاطر در حال حاضر با ادوبی همکاری می کند.

فلش را می توان در پایان راه زندگی اش دانست. فلش مدت هاست که از تلفن های هوشمند رخت بر کشیده است، چرا که ادوبی مدت هاست توسعه فلش را برای اندروید متوقف کرده. البته هنوز بسیاری از سایت های دسکتاپی از فلش استفاده می کنند اما وب به سمتی پیش می رود که خود را در حیطه فناوری HTML5 می بیند. پس نتیجه می گیریم که آینده مرورگر ها متعلق به HTML5 است.

 

 

 

 

منبع

 

مرجع دانلود مرورگر و افزونه حقوق مطالب، تصاوير و طرح قالب براي سايت p30mororgar محفوظ است.
.Copyright © 2012-2016 p30mororgar.ir All rights reserved
پي‌سي‌مرورگر حامي خليج فارس